[arch-commits] Commit in libv4l/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Ionut Biru ibiru at archlinux.org
Sat Dec 5 10:19:11 EST 2009


    Date: Saturday, December 5, 2009 @ 10:19:11
  Author: ibiru
Revision: 60610

Merged revisions 60608 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/libv4l/trunk

........
  r60608 | ibiru | 2009-12-05 17:17:50 +0200 (Sat, 05 Dec 2009) | 2 lines
  
  upgpkg: libv4l 0.6.3-2
      FS#17327 Fix for LIBDIR and use CFLAGS
........

Modified:
  libv4l/repos/extra-x86_64/	(properties)
  libv4l/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)


Property changes on: libv4l/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libv4l/trunk:1-58514
   + /libv4l/trunk:1-60609

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-12-05 15:18:24 UTC (rev 60609)
+++ extra-x86_64/PKGBUILD	2009-12-05 15:19:11 UTC (rev 60610)
@@ -2,7 +2,7 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 pkgname=libv4l
 pkgver=0.6.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Userspace library for Video 4 Linux (1 and 2)"
 arch=('i686' 'x86_64')
 url="http://hansdegoede.livejournal.com/3636.html"
@@ -14,6 +14,8 @@
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
 
-  make || return 1
+  sed -i 's|CFLAGS :=|CFLAGS ?=|' libv4l1/Makefile libv4l2/Makefile libv4lconvert/Makefile
+
+  make LIBDIR="/usr/lib" || return 1
   make install PREFIX="/usr" DESTDIR="${pkgdir}/" || return 1
 }



More information about the arch-commits mailing list